package org.bench4q.agent.plugin.basic.http;

import java.util.List;

public class BatchRequest {
	private List<BatchItem> batchItems;

	public List<BatchItem> getBatchItems() {
		return batchItems;
	}

	public void setBatchItems(List<BatchItem> batchItems) {
		this.batchItems = batchItems;
	}

	public static class BatchItem {
		private String method;
		private String url;
		private String queryParams;
		private String headers;
		private String bodyContent;
		private String bodyparameters;
		private String respVarsToSaveInSession;

		public String getMethod() {
			return method;
		}

		public void setMethod(String method) {
			this.method = method;
		}

		public String getUrl() {
			return url;
		}

		public void setUrl(String url) {
			this.url = url;
		}

		public String getQueryParams() {
			return queryParams;
		}

		public void setQueryParams(String queryParams) {
			this.queryParams = queryParams;
		}

		public String getHeaders() {
			return headers;
		}

		public void setHeaders(String headers) {
			this.headers = headers;
		}

		public String getBodyContent() {
			return bodyContent;
		}

		public void setBodyContent(String bodyContent) {
			this.bodyContent = bodyContent;
		}

		public String getBodyparameters() {
			return bodyparameters;
		}

		public void setBodyparameters(String bodyparameters) {
			this.bodyparameters = bodyparameters;
		}

		public String getRespVarsToSaveInSession() {
			return respVarsToSaveInSession;
		}

		public void setRespVarsToSaveInSession(String respVarsToSaveInSession) {
			this.respVarsToSaveInSession = respVarsToSaveInSession;
		}

	}
}
